Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: assetmgrmodel::AssetStrip::StripInfo Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
assetmgrmodel::AssetStrip::StripInfo Struct Reference

Dynamic (may change with a connected strip) information for an AssetStrip. More...

`import <AssetStrip.idl;`

## Public Attributes
int | maxMainTagCount
| Maximum number of tags supported on the main strip.
int | maxBladeTagCount
| Maximum number of tags supported on blade extensions.
int | mainTagCount
| Current number of tags on the main asset strip.
int | bladeTagCount
| Current number of tags on all blade extensions.
boolean | bladeOverflow
| Out of space for new blade extension tags, read-only.
int | rackUnitCount
| Rack unit count, i.e. number of tags connectable.
int | componentCount
| Number of components.
CascadeState | cascadeState
| State of the cascade (only for composite strips)

## Detailed Description

Dynamic (may change with a connected strip) information for an AssetStrip.

Definition at line 76 of file AssetStrip.idl.

## Member Data Documentation

## ◆ bladeOverflow

boolean assetmgrmodel::AssetStrip::StripInfo::bladeOverflow

Out of space for new blade extension tags, read-only.

Definition at line 81 of file AssetStrip.idl.

## ◆ bladeTagCount

int assetmgrmodel::AssetStrip::StripInfo::bladeTagCount

Current number of tags on all blade extensions.

Definition at line 80 of file AssetStrip.idl.

## ◆ cascadeState

CascadeState assetmgrmodel::AssetStrip::StripInfo::cascadeState

State of the cascade (only for composite strips)

Definition at line 84 of file AssetStrip.idl.

## ◆ componentCount

int assetmgrmodel::AssetStrip::StripInfo::componentCount

Number of components.

Definition at line 83 of file AssetStrip.idl.

## ◆ mainTagCount

int assetmgrmodel::AssetStrip::StripInfo::mainTagCount

Current number of tags on the main asset strip.

Definition at line 79 of file AssetStrip.idl.

## ◆ maxBladeTagCount

int assetmgrmodel::AssetStrip::StripInfo::maxBladeTagCount

Maximum number of tags supported on blade extensions.

Definition at line 78 of file AssetStrip.idl.

## ◆ maxMainTagCount

int assetmgrmodel::AssetStrip::StripInfo::maxMainTagCount

Maximum number of tags supported on the main strip.

Definition at line 77 of file AssetStrip.idl.

## ◆ rackUnitCount

int assetmgrmodel::AssetStrip::StripInfo::rackUnitCount

Rack unit count, i.e. number of tags connectable.

Definition at line 82 of file AssetStrip.idl.

The documentation for this struct was generated from the following file:

- AssetStrip.idl